Subject: Re: [PATCH v1] Input: Use named initializers for arrays of i2c_device_data

From: Uwe Kleine-König (The Capable Hub) <[email-masked]>
Date: Mon, 18 May 2026 09:56:02 +0200

On Mon, May 18, 2026 at 10:30:35AM +0300, Andy Shevchenko wrote:
> On Mon, May 18, 2026 at 09:24:35AM +0200, Geert Uytterhoeven wrote:
> > Hi Uwe,
> > 
> > On Fri, 15 May 2026 at 18:48, Uwe Kleine-König (The Capable Hub)
> > <[email-masked]> wrote:
> > > My additional motivation for this effort is CHERI[1]. This is a hardware
> > 
> > Nice!
> > 
> > > extension that uses 128 bit pointers but unsigned long is still 64 bit.
> > > So with CHERI you cannot store pointers in unsigned long variables.
> > 
> > Good luck fixing all implicit assumptions about this in the kernel!
> > Also, good luck convincing people to use uintptr_t instead ;-)
> > 
> > https://lore.kernel.org/all/CAHk-=[email-masked]
> 
> Yeah, I believe Linus will have a strong opinion about all this CHERI stuff :-)
> But let see, it might be surprising turn around.

Yeah, it's not yet the time to start that discussion, I want to have the
patch stack in a better state before that.

I think the strongest argument will be that

	"unsigned long" [...] is an integer type large enough to hold a
	pointer.

just isn't true for CHERI.

Best regards
Uwe